%define upstream_name    Net-LDAPapi
%define upstream_version 3.0.3

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Perl bindings for LDAP client library
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	glibc-devel
BuildRequires:	openldap-devel
BuildRequires:  perl(Convert::ASN1) >= 0.190.0
BuildRequires:  perl-devel

%description
Perl bindings for LDAP client library

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
#find -name \*.pm | xargs chmod 644
%{__perl} Makefile.PL INSTALLDIRS=vendor -sdk 1 -lib_path %{_libdir} -include_path %{_includedir}
%make

%check
#make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Credits Changes examples META.yml
%{perl_vendorarch}/Net/*.pm
%{perl_vendorarch}/auto/Net/LDAPapi
%{_mandir}/*/*


%changelog
* Sun Jun 12 2011 sander85 <sander85> 3.0.3-5.mga2
+ Revision: 104839
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 3.0.3-4.mga1
+ Revision: 32751
- rebuild
- mageia rebuild

* Sat Jan 22 2011 jquelin <jquelin> 3.0.3-3.mga1
+ Revision: 31697
- adding missing buildrequires
- using %%perl_convert_version
- mageia rebuild
- imported package perl-Net-LDAPapi


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 3.0.3-3mdv2011.0
+ Revision: 556043
- rebuild for perl 5.12

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 3.0.3-2mdv2010.0
+ Revision: 433632
- BuildRequires glibc-devel
- rebuild

* Tue Aug 26 2008 Buchan Milne <bgmilne@mandriva.org> 3.0.3-1mdv2009.0
+ Revision: 276361
- update to new version 3.0.3

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 3.0.2-4mdv2009.0
+ Revision: 258052
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 3.0.2-3mdv2009.0
+ Revision: 246148
- rebuild

* Tue Mar 11 2008 Buchan Milne <bgmilne@mandriva.org> 3.0.2-1mdv2008.1
+ Revision: 185247
- buildrequire openldap-devel
- import perl-Net-LDAPapi


